#!/bin/sh
#
# Extract in-field data for Segezia, by selected date, at large.
#

cd $SM_TOOLS_OUTPUTDIR
echo "Name|Date and Time|Value|Depth max" >all_measures_segezia.txt
spatialite -noheader $SM_TOOLS_DB "
    select s.name as n, m.datetime as d, m.value*s.a+s.b as v, m.depth_max from Measure as m, Sensor as s  
        where m.depth_max<=0.025 and
        m.datetime >= '2017-01-01 00:00:00' and
        m.datetime <= '2017-03-31 23:59:59' and
        s.id=m.sensor_id and m.type='soil_moisture' and m.sensor_id in 
        (select id from Sensor where network_id=1) order by n,d,m.depth_max
" >>all_measures_segezia.txt

