#!/bin/sh
#
# Extract averages of in-field data for Segezia, by selected date
# with hourly averages.
#

cd $SM_TOOLS_OUTPUTDIR
echo "Name|Date|Hour|Average|Count" >segezia_by_date_hour.txt
spatialite -noheader $SM_TOOLS_DB "
select s.name as n, date(m.datetime) as d, strftime('%H',m.datetime) as h, avg(m.value*s.a+s.b) as v, count(m.value) as c from Measure as m, Sensor as s  
		where m.depth_max<=0.025 and
		date(m.datetime)>='2017-01-01' and date(m.datetime)<='2017-03-31' and
	    s.id=m.sensor_id and m.type='soil_moisture' and m.sensor_id in 
		(select id from Sensor where network_id=1) 
group by 1,2,3 
" >>segezia_by_date_hour.txt

