#!/bin/sh
# This script is used to initialize the SMTools environment.
# It has to be sourced by user once per session before any use of SMTools programs and scripts.
# Ideally the sourcing should be done within the user .profile or .bashrc. scripts.
#

$HOME/sm-tools/etc/grass_check.sh

if [ $? = 0 ]
then
	export SM_TOOLS=$HOME/sm-tools
	export SM_TOOLS_DB=/usr/local/sm-tools/data/es1.splite
	export SM_TOOLS_REPO=/usr/local/sm-tools/data/repository/0
	export SM_TOOLS_TEXTURE=/usr/local/sm-tools/data/texture
	export SM_TOOLS_LANDCOVER=/usr/local/sm-tools/data/landcover
	export PATH=$PATH:$SM_TOOLS/bin:$SM_TOOLS/misc
	export SM_TOOLS_OUTPUTDIR=$SM_TOOLS/outputs
	export SM_TOOLS_TMPDIR=$SM_TOOLS/tmp
	export SM_GRASS=$(which grass)
	if [ ! -d $SM_TOOLS/grass/geodb ]
	then
		mkdir -p $SM_TOOLS/grass/geodb 2>/dev/null || true
		$SM_GRASS -c EPSG:4326 -e $SM_TOOLS/grass/geodb/WGS84/
		$SM_GRASS -c -e $SM_TOOLS/grass/geodb/WGS84/SM_TOOLS/
		$SM_GRASS -c EPSG:6933 -e $SM_TOOLS/grass/geodb/EASE2/
		$SM_GRASS -c -e $SM_TOOLS/grass/geodb/EASE2/SM_TOOLS/
	fi

	export SM_GEODB_EASE2=$SM_TOOLS/grass/geodb/EASE2
	export SM_GEODB_WGS84=$SM_TOOLS/grass/geodb/WGS84
	export SM_GEODB_EASE2_PERM=$SM_GEODB_EASE2/PERMANENT/
	export SM_GEODB_WGS84_PERM=$SM_GEODB_WGS84/PERMANENT/
	export SM_GEODB_EASE2_SM=$SM_GEODB_EASE2/SM_TOOLS/
	export SM_GEODB_WGS84_SM=$SM_GEODB_WGS84/SM_TOOLS/

	export G_WGS84_PERM="$SM_GRASS $SM_GEODB_WGS84_PERM --exec"
	export G_EASE2_PERM="$SM_GRASS $SM_GEODB_EASE2_PERM --exec"
	export G_WGS84_SM="$SM_GRASS $SM_GEODB_WGS84_SM --exec"
	export G_EASE2_SM="$SM_GRASS $SM_GEODB_EASE2_SM --exec"

	export G_WGS84="$SM_GRASS -c $SM_GEODB_WGS84/$(hostname)_$$ --exec"
	export G_EASE2="$SM_GRASS -c $SM_GEODB_EASE2/$(hostname)_$$ --exec"

	export G=$G_WGS84
	export G_SM=$G_WGS84_SM
	export G_PERM=$G_WGS84_PERM

	export G_CLEAN="rm -rf $SM_GEODB_WGS84/$(hostname)_$$ $SM_GEODB_EASE2/$(hostname)_$$"

	export SM_USGS_EE_ENV=$SM_TOOLS/etc/usgs-ee.env
	[ -f $SM_USGS_EE_ENV ] && chmod 0600 $SM_USGS_EE_ENV

	export SCIHUB_S1=/usr/local/scihub/scihub-S1.splite
	export SCIHUB_S2=/usr/local/scihub/scihub-S2.splite
	export SCIHUB_S1_SLC=/usr/local/scihub/scihub-S1_SLC.splite
fi
