#!/bin/bash
#
# Extract cross-statistics among S1 sigma0/SSM maps with corresponden fields data
#

unset USE_FIELDS

# Comment this out to use buffering instead of per-site and per-station fields
#export USE_FIELDS="yes"
 

if [ $# -ge 1 ]; then
	network=$*
else
	network=$($SM_TOOLS/bin/load_ground_data --list-networks)
fi

$SM_TOOLS/etc/grass_check.sh || exit 1

#set -e

D=$SM_TOOLS_OUTPUTDIR
N=$$_$(date +%Y%m%d)

B=0.0135 ##0.0135deg=1.5km radius  , 0.005deg=500m ;0.0005deg=50m

P="2017-07-19 00:00"
P1="2017-07-19 00:00"
P2="2017-07-21 00:00"

#L="p_ssm_img_th33_mean_run_n4_v1_2_20190330_asc"
#L="p_masked_40m_ssm_img_20210901_2021-09-01_10:00:00"
L="p_fieldscale_ssm_img_mean_20210901_2021-09-01_10:00:00"

TR=146
DR=ascending
#DR=descending

DIR=${DR::1}
TRACK=${DIR^}${TR}

#only for tereno selhausen
#RANGE=_48h
   
for T in sm #s0
do
	if [ $T = "s0" ];
	then
		P="2016-07-14"
		P1="2017-07-19 00:00"
		P2="2017-07-21 00:00"
		#L="s1_masked"
		L="run_n4_v5_5_20180105_pix520m_flag1"
	fi
	for S in $(echo $network)
	do 
		echo $S $T $$
		sensors=$(spatialite $SM_TOOLS_DB  "select name from Sensor where network_id in (select id from Network where name='$S')")
		sed -e "s/@NETNAME@/$S/"  -e "s/@DATE1@/$P1/" -e "s/@DATE2@/$P2/" -e "s/@DATE@/$P/" -e "s/@TAG@/$L/" -e "s/@TRACK@/$TR/" -e "s/@DIR@/$DR/" \
			$SM_TOOLS/sql/${T}_all${RANGE}.sql_tmpl | spatialite $SM_TOOLS_DB >$D/${N}_${S}_${T}_dump_all.txt 
		sed -e "s/@NETNAME@/$S/" -e "s/@DATE1@/$P1/" -e "s/@DATE2@/$P2/"  -e "s/@DATE@/$P/" -e "s/@TAG@/$L/"  -e "s/@TRACK@/$TR/" -e "s/@DIR@/$DR/" \
			 $SM_TOOLS/sql/${T}${RANGE}.sql_tmpl | spatialite $SM_TOOLS_DB >$D/${N}_${S}_${T}_dump.txt 

		$SM_TOOLS/misc/grass_get_${T}.sh $D/${N}_${S}_${T}_dump_all.txt ${B} >$D/${N}_${S}_dump_all_${T}_stats.txt 
		for s in $(echo $sensors) ; do head -n 1 $D/${N}_${S}_dump_all_${T}_stats.txt  >$D/${N}_${S}_dump_all_${T}_stats_$s.txt; grep $s\| $D/${N}_${S}_dump_all_${T}_stats.txt >>$D/${N}_${S}_dump_all_${T}_stats_$s.txt; done

		$SM_TOOLS/misc/grass_get_${T}_avg.sh $D/${N}_${S}_${T}_dump.txt ${B} >$D/${N}_${S}_dump_${T}_stats.txt 
		for s in $(echo $sensors) ; do head -n 1 $D/${N}_${S}_dump_${T}_stats.txt  >$D/${N}_${S}_dump_${T}_stats_$s.txt; grep $s\| $D/${N}_${S}_dump_${T}_stats.txt >>$D/${N}_${S}_dump_${T}_stats_$s.txt; done
	done
done

exit 0
