#!/bin/sh

set -e

if [ $# -ne 1 ]
then
	echo "usage: $0 date"
fi

date=$1
isodate=$(echo $date|sed -e's/-//g')
mosaic="mosaic_SSM_Medi_$isodate"
#extension=.img_th_mean
extension=.img

rm -f $SM_TOOLS_OUTPUTDIR/$mosaic.log
LIST=$(grep -E "^[^#]" <<EOF
/net/milos/ocean/SMOSAR/SMOSAR_SEOM/Output_P_mv_maps/Medi.lists/list_th25_mean_Medi.D008.txt
/net/milos/ocean/SMOSAR/SMOSAR_SEOM/Output_P_mv_maps/Medi.lists/list_th25_mean_Medi.D037.txt
/net/milos/ocean/SMOSAR/SMOSAR_SEOM/Output_P_mv_maps/Medi.lists/list_th25_mean_Medi.D066.txt
/net/milos/ocean/SMOSAR/SMOSAR_SEOM/Output_P_mv_maps/Medi.lists/list_th25_mean_Medi.D110.txt
/net/milos/ocean/SMOSAR/SMOSAR_SEOM/Output_P_mv_maps/Medi.lists/list_th25_mean_Medi.D139.txt
/net/milos/ocean/SMOSAR/SMOSAR_SEOM/Output_P_mv_maps/Medi.lists/list_th25_mean_Medi.D168.txt
EOF
)
list=$(for i in $(seq 0 5); do date --date="$date + $i day" +'%Y-%m-%d'; done|sed -e 's/$/,/'|perl -00pe 's/,(?!.*,)//s')
regexp=$(echo $list|sed -e 's/, /|/g')
for i in $(cat $LIST|grep -E "$regexp"|cut -d, -f1)
do
	echo $i
	if [ -f $i ]
	then
		R=$(basename $i $extension)
		$G r.external in=$i out=$R --o
		$G r.null setnull=0 map=$R
	fi
done

names=$(cat $LIST|grep -E "$regexp"|cut -d, -f1|perl -p -e 's{\.[^.]+$}{}; s{.*/}{ }')
csv_names=$(echo $names|sed -e 's/ /,/g')
echo $csv_names
for i in $names
do
	echo $i >>$SM_TOOLS_OUTPUTDIR/$mosaic.log
	v=$(echo $i|sed -e 's/\./_/g')
	$G g.region rast=$i
	$G v.mkgrid grid=1,1 pos=region map=$v --o
	$G_EASE2 v.proj location=WGS84 in=$v out=$v --o
	$G_EASE2 g.region vect=$v res=500
	$G_EASE2 r.proj location=WGS84 in=$i out=$i res=500 --o
	$G_EASE2 r.colors map=$i rules=$SM_TOOLS/etc/colors.txt
done

$G_EASE2 g.region rast=$csv_names res=500
$G_EASE2 r.patch in=$csv_names out=$mosaic --o
$G_EASE2 r.null setnull=0 map=$mosaic
$G_EASE2 r.colors map=$mosaic rules=$SM_TOOLS/etc/colors.txt
$G_EASE2 r.out.png -w -t in=$mosaic out=$SM_TOOLS_OUTPUTDIR/$mosaic.png --o

$G_CLEAN

exit 0
