#!/bin/sh

if [ -z "$RESOLUTIONS" ]
then
	echo "RESOLUTIONS not defined, assuming default 36 25 12d5 9 3 1"
fi

LIST=$(grep -E "^[^#].*$1.*" <<EOF
/net/milos/ocean/SMOSAR/SMOSAR_SEOM/Output_FD_mv_maps/Medi.lists/list_th25_mean_Medi.D008.txt
/net/milos/ocean/SMOSAR/SMOSAR_SEOM/Output_FD_mv_maps/Medi.lists/list_th25_mean_Medi.D037.txt
/net/milos/ocean/SMOSAR/SMOSAR_SEOM/Output_FD_mv_maps/Medi.lists/list_th25_mean_Medi.D066.txt
/net/milos/ocean/SMOSAR/SMOSAR_SEOM/Output_FD_mv_maps/Medi.lists/list_th25_mean_Medi.D110.txt
/net/milos/ocean/SMOSAR/SMOSAR_SEOM/Output_FD_mv_maps/Medi.lists/list_th25_mean_Medi.D139.txt
/net/milos/ocean/SMOSAR/SMOSAR_SEOM/Output_FD_mv_maps/Medi.lists/list_th25_mean_Medi.D168.txt
EOF
)
for m in $LIST
do
	TARGET=Medi_$(basename $m|cut -d. -f2)
	if [ $(ls $SM_TOOLS_OUTPUTDIR/smap_grids_sampling/SMAP_*_$TARGET.txt|wc -l) -eq 0 ]
	then
		$SM_TOOLS/misc/smapsmosascat_grid_sampling.sh 36 $(echo $TARGET|sed -e 's/Medi_//')
		$SM_TOOLS/misc/smapsmosascat_grid_sampling.sh 25  $(echo $TARGET|sed -e 's/Medi_//')
		$SM_TOOLS/misc/smapsmosascat_grid_sampling.sh 12d5 $(echo $TARGET|sed -e 's/Medi_//')
		$SM_TOOLS/misc/smapsmosascat_grid_sampling.sh 9 $(echo $TARGET|sed -e 's/Medi_//')
		$SM_TOOLS/misc/smapsmosascat_grid_sampling.sh 3 $(echo $TARGET|sed -e 's/Medi_//')
		$SM_TOOLS/misc/smapsmosascat_grid_sampling.sh 1 $(echo $TARGET|sed -e 's/Medi_//')
	fi
	#
	# Define RESOLUTIONS var to bypass standard resolutions
	#
	#$SM_TOOLS/misc/make_medi_stats.sh $m $TARGET $SM_TOOLS_OUTPUTDIR/${TARGET} $RESOLUTIONS
	$SM_TOOLS/misc/make_medi_stats.sh $m $TARGET $SM_TOOLS_OUTPUTDIR/2017_${TARGET} $RESOLUTIONS
done
