#!/bin/sh
#
# Extract texture rasters.
#
# !!! This script is obsolete and not updated for use with gdal 2.4+. Use clip_landcover_n_texture.sh instead.
#

FILTER=yes
F=mean
W=3
RES=1000

fullpath=$(realpath $0)
dirname=$(dirname $fullpath)
tdir=TEXTURE
RGB2IDX=$SM_TOOLS/misc/rgb2idx.py

set -e

if [ -z "$(which pkfilter)" ]; then
	echo "Missing pktools"
	exit 1
fi

for s in clay.tif sand.tif silt.tif
do
text=$SM_TOOLS_TEXTURE/$s
base=$(basename $text .tif)
cd $dirname/..
for n in *S1*
do
	echo "Directory " $n
	cd $n
	for f in $(ls -d *.SAFE|head -1|sed -e 's/://')
	do
		echo "Master GTC in " $f
		if [ -e $f/GTC ]; then
			rm -f $tdir/gtc.* $tdir/gtc_wgs84.* && gdaltindex $tdir/gtc.shp $f/GTC/*.vv.GTC
			ogr2ogr -t_srs EPSG:4326 $tdir/gtc_wgs84.shp $tdir/gtc.shp
			gdalwarp -wo 'CUTLINE_ALL_TOUCHED=TRUE' -overwrite -of "ENVI" -cutline $tdir/gtc_wgs84.shp -crop_to_cutline $text $tdir/${base}_wgs84_gtc
			srs=$(gdalinfo -proj4 $f/GTC/*.vv.GTC|grep +proj|sed -e "s/'//g")
			gdalwarp -wo 'CUTLINE_ALL_TOUCHED=TRUE' -t_srs "$srs" -overwrite -of "ENVI" -cutline \
				$tdir/gtc.shp -crop_to_cutline -tr $RES $RES $tdir/${base}_wgs84_gtc $tdir/${base}_gtc 
		fi
	done
	cd ..
done
done


cd $dirname/..
for n in *S1*
do
	echo "Directory " $n
	cd $n
	for f in $(ls -d *.SAFE|head -1|sed -e 's/://')
	do
		CLAY=$tdir/clay_gtc 
		SAND=$tdir/sand_gtc 
		SILT=$tdir/silt_gtc
		if [ ! -z $FILTER ]; then
			CLAY=$tdir/clay_gtc_$F$W
			SAND=$tdir/sand_gtc_$F$W
			SILT=$tdir/silt_gtc_$F$W
			pkfilter -dx $W -dy $W -i $tdir/clay_gtc -o $CLAY -f $F
			pkfilter -dx $W -dy $W -i $tdir/sand_gtc -o $SAND -f $F
			pkfilter -dx $W -dy $W -i $tdir/silt_gtc -o $SILT -f $F
		fi
		echo "Compositing ..." 
		gdal_translate -scale 0 1 -of "ENVI" -ot Byte $CLAY $tdir/clay_gtc_scaled
		gdal_translate -scale 0 1 -of "ENVI" -ot Byte $SAND $tdir/sand_gtc_scaled
		gdal_translate -scale 0 1 -of "ENVI" -ot Byte $SILT $tdir/silt_gtc_scaled
		rm -f $tdir/texture.tif && gdal_merge.py -o $tdir/texture.tif -separate $tdir/clay_gtc_scaled $tdir/sand_gtc_scaled $tdir/silt_gtc_scaled
		$RGB2IDX $tdir/texture.tif $tdir/texture_ct.tif
		echo "STCODE CLAY% SAND%" >$tdir/texture_smosar.txt
		CLAY_MEAN=$(pkinfo -nodata 0 -stats -i $tdir/clay_gtc|cut -d' ' -f6|awk '{printf "%.2f\n",$0*100}')
		SAND_MEAN=$(pkinfo -nodata 0 -stats -i $tdir/sand_gtc|cut -d' ' -f6|awk '{printf "%.2f\n",$0*100}')
		echo "0 $CLAY_MEAN $SAND_MEAN" >>$tdir/texture_smosar.txt
		gdalinfo $tdir/texture_ct.tif|grep -E '^[ 0-9]+: '|sed -e 's/: /,/'|awk -F, '{printf "%d %.2f %.2f\n",$1,100*$2/256,100*$3/255}'|grep -E '^1 ' >>$tdir/texture_smosar.txt
		gdalinfo $tdir/texture_ct.tif|grep -E '^[ 0-9]+: '|sed -e 's/: /,/'|grep -v '0,0,0,255'| awk -F, '{printf "%d %.2f %.2f\n",$1,100*$2/256,100*$3/255}' |grep -E -v '^1 ' >>$tdir/texture_smosar.txt
		gdal_translate -of ENVI $tdir/texture_ct.tif $tdir/texture_smosar
		rm -f $tdir/clay* $tdir/sand* $tdir/silt* $tdir/*.tif $tdir/gtc*
	done
	cd ..
done
